package csit254ch02classes;

/**
 * This program uses overloaded constructors
 *
 * @author Concept by: Tony Gaddis (et al) modified by Stephen Brower
 */
public class RectangleDemo {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Rectangle box1 = new Rectangle();
        Rectangle box2 = new Rectangle(5.0, 10.0);

        System.out.printf("Box 1 L:%.1f W:%.1f Area: %.3f\n",
                box1.getLength(), box1.getWidth(), box1.getArea());
        System.out.printf("\nBox 2 L:%.1f W:%.1f Area: %.3f\n",
                box2.getLength(), box2.getWidth(), box2.getArea());
    }
}
/*
Output:

Box 1 L:1.0 W:1.0 Area: 1.000

Box 2 L:5.0 W:10.0 Area: 50.000
 */
