package csit254ch02classes;

import java.util.Scanner;

/**
 * This program demonstrates interacting with a user, 
 * instantiating an object, and displaying items from the
 * object
 * Date Written:    4/1/2004
 * Date Modified:   2/11/2008 - replaced BufferedReader with Scanner
 *                              Changed Class Name
 *                              Changed distance to totalMiles
 *                              Added comments
 *                              fixed args
 *                  5/24/2008 - changed lab #
 *                  9/14/2008 - changed class for Demo
 *                  8/26/2015 - split into Trip class and driver
 * @author Concept by:  Tony Gaddis (if not him stolen from another book) modified by Stephen Brower
 */

public class TripCalculator {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */

    public static void main(String args[]) {
        // declare variables
        double milesPerGallonEntered,
                averageCostOfGasEntered,
                totalMilesEntered,
                costOfTrip;
        Trip thisTrip;
        Scanner input = new Scanner(System.in);

        // Get Data
        System.out.print("Enter estimated total miles of trip: ");
        totalMilesEntered = input.nextDouble();

        System.out.print("Enter MPG: ");
        milesPerGallonEntered = input.nextDouble();

        System.out.print("Enter Anticipated Average Cost of Gas: ");
        averageCostOfGasEntered = input.nextDouble();

        // instantiate object
        thisTrip = new Trip(milesPerGallonEntered, averageCostOfGasEntered,
                totalMilesEntered);

        // Display Results
        System.out.printf("\n%s %,.2f\n", "Cost of trip: ",
                thisTrip.getEstimatedCost());
    }
}
