package csit254ch02classes;

/**
 * Demo of superclass Date Written: 7/17/2014
 *
 * @author Stephen Brower
 */

public class Vehicle {

    private String make;
    private int yearModel;

    /**
     * Constructor
     *
     * @param newMake The value to store in make.
     * @param newYearModel The value to store in yearModel.
     */
    public Vehicle(String newMake, int newYearModel) {
        make = newMake;
        yearModel = newYearModel;
    }

    /**
     * The setMake method stores a value in the make field.
     *
     * @param newMake The value to store in make.
     */
    public void setMake(String newMake) {
        make = newMake;
    }

    /**
     * The getMake method returns a Vehicle object's make.
     *
     * @return The value in the make field.
     */
    public String getMake() {
        return make;
    }

    /**
     * The setYearModel method stores a value in the yearModel field.
     *
     * @param newYearModel The value to store in yearModel.
     */
    public void setYearModel(int newYearModel) {
        yearModel = newYearModel;
    }

    /**
     * The getYearModel method returns a Vehicle object's yearModel.
     *
     * @return The value in the yearModel field.
     */
    public int getYearModel() {
        return yearModel;
    }

    /**
     * toString method used to return a String representing this Vehicle
     *
     * @return a String representing this Vehicle
     */
    @Override
    public String toString() {
        return "Vehicle: make:" + make + " year:" + yearModel;
    }

}
