package csit254ch02classes;

/**
 * This program demonstrates the Course class.
 *
 * @author Tony Gaddis (et al)
 */

public class CourseDemo {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // Create an Instructor object.
        Instructor myInstructor
                = new Instructor("Brower", "Stephen", "West 311");

        // Create a TextBook object.
        TextBook myTextBook
                = new TextBook("Data Structures & Other Objects",
                        "Main", "Pearson Lake and Palmer");

        // Create a Course object.
        Course myCourse
                = new Course("CISY 254 - Data Structures", myInstructor,
                        myTextBook);

        // Display the course information.
        System.out.println(myCourse);
    }
}
