package csit254ch02classes;

/**
 * Demo using Vehicle and subclasses of Vehicle Date Written: 7/17/2014
 *
 * @author Stephen Brower
 */

public class DemoCarTruck2 {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Vehicle sampleVehicle = new Vehicle("silly", 1972);
        Vehicle sampleCar = new Car("Chevy Corvette", 2014, 2);
        Vehicle sampleTruck = new Truck("U-Haul Box Truck", 2013, 1611);

        System.out.println(sampleVehicle);
        System.out.println(sampleCar);
        System.out.println(sampleTruck);

        if (sampleCar instanceof Car) {
            System.out.println("\n'sampleCar' is a Car - doors "
                    + ((Car) sampleCar).getNumDoors());
        } else if (sampleCar instanceof Truck) {
            System.out.println("\n'sampleCar' is a Truck - cu ft "
                    + ((Truck) sampleCar).getCubicFeetStorage());
        } else {
            System.out.println("\n'sampleCar' is neither a Car nor a Truck");
        }

        if (sampleTruck instanceof Car) {
            System.out.println("\n'sampleTruck' is a Car - doors "
                    + ((Car) sampleTruck).getNumDoors());
        } else if (sampleTruck instanceof Truck) {
            System.out.println("\n'sampleTruck' is a Truck - cu ft "
                    + ((Truck) sampleTruck).getCubicFeetStorage());
        } else {
            System.out.println("\n'sampleTruck' is neither a Car nor a Truck");
        }

        if (sampleVehicle instanceof Car) {
            System.out.println("\n'sampleVehicle' is a Car - doors "
                    + ((Car) sampleVehicle).getNumDoors());
        } else if (sampleVehicle instanceof Truck) {
            System.out.println("\n'sampleVehicle' is a Truck - cu ft "
                    + ((Truck) sampleVehicle).getCubicFeetStorage());
        } else {
            System.out.println("\n'sampleVehicle' is neither a Car nor a Truck");
        }
    }
}
