package csit254ch02classes;

import java.util.Scanner;

/**
 * Programmed by Tony Gaddis This program creates three instances of the
 * Rectangle class.
 */
public class RoomAreas {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        double number;       // To hold a number
        double totalArea;    // The total area

        Scanner input = new Scanner(System.in);

        // Create three Rectangle objects.
        Rectangle kitchen = new Rectangle(10.0, 14.0);
        Rectangle bedroom = new Rectangle(15.0, 12.0);
        Rectangle den = new Rectangle(20.0, 30.0);

        // Calculate the total area of the rooms.
        totalArea = kitchen.getArea() + bedroom.getArea()
                + den.getArea();

        // Display the total area of the rooms.
        System.out.printf("\nThe total area of the rooms is %,.2f\n", totalArea);
    }
}
/*
Output:

The total area of the rooms is 920.00
 */
