package csit254ch02classes;

/**
 * tests the Trip Class
 *
 * @author Stephen Brower
 */
public class TripTest {

    /**
     * The main method is the program's starting point.
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        Trip myRoadTrip = new Trip(14, 2.99, 6000);

        System.out.printf("%-25s %,8.1f\n", "Total Miles",
                myRoadTrip.getTotalMiles());
        System.out.printf("%-25s %,8.1f\n", "Miles Per Gallon",
                myRoadTrip.getMilesPerGallon());
        System.out.printf("%-25s %,11.4f\n", "Avg cost of Gas",
                myRoadTrip.getAverageCostOfGas());
        System.out.printf("%-25s %,9.2f\n", "Estimated cost of trip",
                myRoadTrip.getEstimatedCost());

        myRoadTrip.setMilesPerGallon(53);
        myRoadTrip.setAverageCostOfGas(3.7599);
        myRoadTrip.setTotalMiles(9000);

        System.out.println("\nNow:");
        System.out.printf("%-25s %,8.1f\n", "Total Miles",
                myRoadTrip.getTotalMiles());
        System.out.printf("%-25s %,8.1f\n", "Miles Per Gallon",
                myRoadTrip.getMilesPerGallon());
        System.out.printf("%-25s %,11.4f\n", "Avg cost of Gas",
                myRoadTrip.getAverageCostOfGas());
        System.out.printf("%-25s %,9.2f\n", "Estimated cost of trip",
                myRoadTrip.getEstimatedCost());

    }

}

/*
Output: 

Total Miles                6,000.0
Miles Per Gallon              14.0
Avg cost of Gas                2.9900
Estimated cost of trip     1,281.43

Now:
Total Miles                9,000.0
Miles Per Gallon              53.0
Avg cost of Gas                3.7599
Estimated cost of trip       638.47
 */
